#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		__python	/usr/bin/python3
%define		_builddir	%{_topdir}/BUILD_%(basename %{__python})
%define		sname		%(echo %{name} | cut -d '-' -f2)
%define		lname		%(echo %{name} | tr '-' '_')
#-----------------------------------------------------------------------------
Name		:	python-dbusmock
Version		:	0.32.1
Release		:	17.0.10.rel%{?dist}
Summary		:	Mock D-Bus objects

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGLLv3+
URL		:	https://github.com/martinpitt/python-dbusmock/releases

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	%{__python}
BuildRequires	:	python-build
BuildRequires	:	python-flit-core
BuildRequires	:	python-installer
BuildRequires	:	python-setuptools-scm
BuildRequires	:	python-wheel
BuildRequires	:	python3-setuptools
BuildRequires	:	python3-typing_extensions

BuildRequires	:	dbus-python-devel

BuildArch	:	noarch

#-----------------------------------------------------------------------------
%description
With this program/Python library you can easily create mock objects on\
D-Bus. This is useful for writing tests for software which talks to\
D-Bus services such as upower, systemd, ConsoleKit, gnome-session or\
others, and it is hard (or impossible without root privileges) to set\
the state of the real services to what you expect in your tests.

#-----------------------------------------------------------------------------
%files			
%defattr(-, root,root, 0755)
%{python3_sitelib}/%{sname}/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/*.py
%{python3_sitelib}/%{sname}/templates/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/templates/*.py
%{python3_sitelib}/%{lname}-%{version}.dist-info/

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

export SETUPTOOLS_SCM_PRETEND_VERSION=%{version}
%{__python}						\
	-m build					\
	--wheel						\
	--no-isolation					\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__python}						\
	-m installer					\
	--destdir=%{buildroot}				\
	dist/*.whl					\

#-----------------------------------------------------------------------------
%changelog
